/*
 * Copyright 2012 Smallcrew, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package fr.smallcrew.test;


import java.util.List;
import java.util.Random;
import java.util.UUID;

import static com.google.common.collect.Lists.newArrayList;

public abstract class FakeDataUtils {
  private static final Random random = new Random(System.currentTimeMillis());
  private static final List<String> domains = newArrayList("gmail.com", "yahoo.fr", "free.fr", "hotmail.com", "smallcrew.fr");
  private static final List<String> firstNames = newArrayList("Alvy", "Joe", "Mick", "Lou", "Kool", "Kim", "Kelley", "Maureen");
  private static final List<String> lastNames = newArrayList("Singer", "Strummer", "Jones", "Reed", "Keith", "Gordon", "Deal", "Tucker");

  public static String randomEmail() {
    return randomItem(firstNames) + "." + randomItem(lastNames) + random.nextInt(2000) + "@" + randomItem(domains);
  }

  public static String randomString() {
    return UUID.randomUUID().toString();
  }

  private static String randomItem(List<String> list) {
    return list.get(random.nextInt(list.size()));
  }
}
